<?php 
/**
 * Getcompanieswithoffers Page Controller
 * @category  Controller
 */
class GetcompanieswithoffersController extends SecureController{
	function __construct(){
		parent::__construct();
		$this->tablename = "getcompanieswithoffers";
	}
	/**
     * List page records
     * @param $fieldname (filter record by a field) 
     * @param $fieldvalue (filter field value)
     * @return BaseView
     */
	function index($fieldname = null , $fieldvalue = null){
		$request = $this->request;
		$db = $this->GetModel();
		$tablename = $this->tablename;
		$fields = array("branch_id", 
			"cr", 
			"BranchNo", 
			"NameEnglish", 
			"NameArabic", 
			"logo", 
			"mobile", 
			"email", 
			"website", 
			"address", 
			"description_en", 
			"description_ar", 
			"latitude", 
			"longitude", 
			"category_id", 
			"Status", 
			"is_pending_approval", 
			"is_active", 
			"offers", 
			"description_attachment");
		$pagination = $this->get_pagination(MAX_RECORD_COUNT); // get current pagination e.g array(page_number, page_limit)
		//search table record
		if(!empty($request->search)){
			$text = trim($request->search); 
			$search_condition = "(
				getcompanieswithoffers.branch_id LIKE ? OR 
				getcompanieswithoffers.cr LIKE ? OR 
				getcompanieswithoffers.BranchNo LIKE ? OR 
				getcompanieswithoffers.NameEnglish LIKE ? OR 
				getcompanieswithoffers.NameArabic LIKE ? OR 
				getcompanieswithoffers.logo LIKE ? OR 
				getcompanieswithoffers.mobile LIKE ? OR 
				getcompanieswithoffers.email LIKE ? OR 
				getcompanieswithoffers.website LIKE ? OR 
				getcompanieswithoffers.address LIKE ? OR 
				getcompanieswithoffers.description_en LIKE ? OR 
				getcompanieswithoffers.description_ar LIKE ? OR 
				getcompanieswithoffers.latitude LIKE ? OR 
				getcompanieswithoffers.longitude LIKE ? OR 
				getcompanieswithoffers.category_id LIKE ? OR 
				getcompanieswithoffers.Status LIKE ? OR 
				getcompanieswithoffers.is_pending_approval LIKE ? OR 
				getcompanieswithoffers.is_active LIKE ? OR 
				getcompanieswithoffers.offers LIKE ? OR 
				getcompanieswithoffers.description_attachment LIKE ?
			)";
			$search_params = array(
				"%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%"
			);
			//setting search conditions
			$db->where($search_condition, $search_params);
			 //template to use when ajax search
			$this->view->search_template = "getcompanieswithoffers/search.php";
		}
		if(!empty($request->orderby)){
			$orderby = $request->orderby;
			$ordertype = (!empty($request->ordertype) ? $request->ordertype : ORDER_TYPE);
			$db->orderBy($orderby, $ordertype);
		}
		else{
			$db->orderBy("getcompanieswithoffers.branch_id", ORDER_TYPE);
		}
		if($fieldname){
			$db->where($fieldname , $fieldvalue); //filter by a single field name
		}
		$tc = $db->withTotalCount();
		$records = $db->get($tablename, $pagination, $fields);
		$records_count = count($records);
		$total_records = intval($tc->totalCount);
		$page_limit = $pagination[1];
		$total_pages = ceil($total_records / $page_limit);
		$data = new stdClass;
		$data->records = $records;
		$data->record_count = $records_count;
		$data->total_records = $total_records;
		$data->total_page = $total_pages;
		if($db->getLastError()){
			$this->set_page_error();
		}
		$page_title = $this->view->page_title = "Getcompanieswithoffers";
		$this->view->report_filename = date('Y-m-d') . '-' . $page_title;
		$this->view->report_title = $page_title;
		$this->view->report_layout = "report_layout.php";
		$this->view->report_paper_size = "A4";
		$this->view->report_orientation = "portrait";
		$this->render_view("getcompanieswithoffers/list.php", $data); //render the full page
	}
// No View Function Generated Because No Field is Defined as the Primary Key on the Database Table
}
