<?php 
/**
 * Getoffers Page Controller
 * @category  Controller
 */
class GetoffersController extends SecureController{
	function __construct(){
		parent::__construct();
		$this->tablename = "getoffers";
	}
	/**
     * List page records
     * @param $fieldname (filter record by a field) 
     * @param $fieldvalue (filter field value)
     * @return BaseView
     */
	function index($fieldname = null , $fieldvalue = null){
		$request = $this->request;
		$db = $this->GetModel();
		$tablename = $this->tablename;
		$fields = array("Offer_ID", 
			"branch_id", 
			"Company_Name", 
			"Title_en", 
			"Title_ar", 
			"Description_en", 
			"Description_ar", 
			"From_Date", 
			"To_Date", 
			"duration", 
			"duration_type", 
			"Img", 
			"offer_email", 
			"offer_mobile", 
			"offer_address", 
			"offer_type", 
			"offer_status", 
			"viewer", 
			"member_status", 
			"rate", 
			"rate_count", 
			"add_by");
		$pagination = $this->get_pagination(MAX_RECORD_COUNT); // get current pagination e.g array(page_number, page_limit)
		//search table record
		if(!empty($request->search)){
			$text = trim($request->search); 
			$search_condition = "(
				getoffers.Offer_ID LIKE ? OR 
				getoffers.branch_id LIKE ? OR 
				getoffers.Company_Name LIKE ? OR 
				getoffers.Title_en LIKE ? OR 
				getoffers.Title_ar LIKE ? OR 
				getoffers.Description_en LIKE ? OR 
				getoffers.Description_ar LIKE ? OR 
				getoffers.From_Date LIKE ? OR 
				getoffers.To_Date LIKE ? OR 
				getoffers.duration LIKE ? OR 
				getoffers.duration_type LIKE ? OR 
				getoffers.Img LIKE ? OR 
				getoffers.offer_email LIKE ? OR 
				getoffers.offer_mobile LIKE ? OR 
				getoffers.offer_address LIKE ? OR 
				getoffers.offer_type LIKE ? OR 
				getoffers.offer_status LIKE ? OR 
				getoffers.viewer LIKE ? OR 
				getoffers.member_status LIKE ? OR 
				getoffers.rate LIKE ? OR 
				getoffers.rate_count LIKE ? OR 
				getoffers.add_by LIKE ?
			)";
			$search_params = array(
				"%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%","%$text%"
			);
			//setting search conditions
			$db->where($search_condition, $search_params);
			 //template to use when ajax search
			$this->view->search_template = "getoffers/search.php";
		}
		if(!empty($request->orderby)){
			$orderby = $request->orderby;
			$ordertype = (!empty($request->ordertype) ? $request->ordertype : ORDER_TYPE);
			$db->orderBy($orderby, $ordertype);
		}
		else{
			$db->orderBy("getoffers.Offer_ID", ORDER_TYPE);
		}
		if($fieldname){
			$db->where($fieldname , $fieldvalue); //filter by a single field name
		}
		$tc = $db->withTotalCount();
		$records = $db->get($tablename, $pagination, $fields);
		$records_count = count($records);
		$total_records = intval($tc->totalCount);
		$page_limit = $pagination[1];
		$total_pages = ceil($total_records / $page_limit);
		$data = new stdClass;
		$data->records = $records;
		$data->record_count = $records_count;
		$data->total_records = $total_records;
		$data->total_page = $total_pages;
		if($db->getLastError()){
			$this->set_page_error();
		}
		$page_title = $this->view->page_title = "Getoffers";
		$this->view->report_filename = date('Y-m-d') . '-' . $page_title;
		$this->view->report_title = $page_title;
		$this->view->report_layout = "report_layout.php";
		$this->view->report_paper_size = "A4";
		$this->view->report_orientation = "portrait";
		$this->render_view("getoffers/list.php", $data); //render the full page
	}
// No View Function Generated Because No Field is Defined as the Primary Key on the Database Table
}
